> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryardent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rename a project

> Update a project's mutable fields

Only provided fields are changed. Today the only mutable field is `name`.


## OpenAPI

````yaml openapi.public.json PATCH /v1/projects/{project_id}
openapi: 3.1.0
info:
  description: >-
    Public Ardent API. Generated by scripts/export_public_openapi.py — do not
    edit by hand.
  title: Ardent API
  version: v1
servers:
  - url: https://api.tryardent.com
security: []
paths:
  /v1/projects/{project_id}:
    patch:
      tags:
        - v1-projects
      summary: Update Project Endpoint
      operationId: update_project_endpoint_v1_projects__project_id__patch
      parameters:
        - in: path
          name: project_id
          required: true
          schema:
            title: Project Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProjectRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectRow'
          description: The updated project row.
        '400':
          description: No fields to update.
        '404':
          description: Project not found (or not visible to the caller).
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateProjectRequest:
      properties:
        name:
          anyOf:
            - maxLength: 100
              minLength: 1
              type: string
            - type: 'null'
          description: New project name (1-100 characters).
          title: Name
      title: UpdateProjectRequest
      type: object
    ProjectRow:
      additionalProperties: true
      properties:
        created_at:
          description: When the project was created.
          title: Created At
          type: string
        id:
          description: Project ID.
          title: Id
          type: string
        name:
          description: Project name.
          title: Name
          type: string
        org_id:
          description: Organization the project belongs to.
          title: Org Id
          type: string
      required:
        - id
        - org_id
        - name
        - created_at
      title: ProjectRow
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: >-
        Ardent API key (sk-ard_live_… / sk-ard_test_…) or a dashboard session
        token.
      scheme: bearer
      type: http

````